#include "VisualizationPluginFactory.h"
#include "VisualizationPlugin.h"

#include <QtPlugin>

VisualizationPluginFactory::VisualizationPluginFactory()
{
}

VisualizationPluginFactory::~VisualizationPluginFactory()
{
}

ritk::ApplicationPlugin*
VisualizationPluginFactory::CreateInstance()
{
	return new VisualizationPlugin();
}

QString 
VisualizationPluginFactory::GetName()
{
	return ("Visualization");
}

QString 
VisualizationPluginFactory::GetDescription()
{
	return ("Simple visualization");
}


Q_EXPORT_PLUGIN2(VisualizationPlugin, VisualizationPluginFactory)

